CloudLinux OS Blog

mod_lsapi updated

mod_lsapi updated

New updated mod_lsapi packages for CloudLinux 6 and 7 as well as for Apache 2.4 (CloudLinux 6 and 7) and EasyApache 4 (CloudLinux 6 and 7) are now available for download from our production repository.

Note. We have released stable CRIU package only for CloudLinux 7.
As for now, CRIU is not supported on CloudLinux 6 hybrid kernel. We are going to check its compatibility within the task MODLS-509.

Changelog:

mod_lsapi 1.1-25

ea-apache24-mod_lsapi 1.1-25

httpd24-mod_lsapi 1.1-25

  • dependency from alt-libxml2 removed from ea-apache24-mod_lsapi;
  • lsapi_backend_semtimedwait option switched on by default;
  • MODLS-494: implemented ~/mod_lsapi_reset_me flag for removing all CRIU images for all domains of user;
  • MODLS-483: fixed premature mutex destroying on MPM Event;
  • MODLS-478: prefix lsapi errors with timestamps;
  • MODLS-475: cleanup criu images on dump error;
  • MODLS-472: unlimit core file size when BACKEND_COREDUMP on;
  • MODLS-470: reset all criu images on update criu-lve and alt-phpXY;
  • MODLS-466: lsapi-cache service improved;
  • AAP-189: ea-apache24-mod_suphp-0.7.2-21 package installation flush PHP handlers to suphp;

criu-lve 3.7-3

  • MODLS-488: disabled sending SIGKILL when dumped pid already used by another process;
  • MODLS-489: made CRIU workable with a new Kernel part 2 (OpenVZ patch);
  • MODLS-489: made CRIU workable with a new Kernel;
  • updated to CRIU version 3.7;
  • MODLS-469: fixed "SYSVIPC shmem" CRIU dump error;
  • MODLS-471: temporary files are now properly cleaned after restore;
  • MODLS-409: fixed CRIU pie hanging on dump;
  • MODLS-356: added support PrivateTmp to CRIU.

To update:

cPanel & RPM Based

$ yum clean all
$ yum update liblsapi liblsapi-devel
$ yum update mod_lsapi
$ service httpd restart

DirectAdmin

$ yum clean all
$ yum update liblsapi liblsapi-devel
$ cd /usr/local/directadmin/custombuild
$ ./build update
$ ./build mod_lsapi

To install, follow the instructions on the link.

EasyApache 4

To update:

$ yum clean all
$ yum update liblsapi liblsapi-devel ea-apache24-mod_lsapi
$ service httpd restart

To install:

$ yum clean all
$ yum update liblsapi liblsapi-devel

Read http://docs.cloudlinux.com/index.html?cpanel_easyapache_4.html

Go to MultiPHP Manager and enable mod_lsapi on your domains through lsapi handler.

Find more about MultiPHP Manager and mod_lsapi on the link.

http24 for CloudLinux 6 and CloudLinux 7

For installation/update run:

$ yum update liblsapi liblsapi-devel
$ yum install httpd24-mod_lsapi

To install criu-lve run the following command:

# yum clean all
# yum install criu-lve

Start criu service:

# systemctl enable criu
# systemctl start criu

To update criu-lve run the following command:

# yum clean all
# yum update criu-lve

Restart criu service:

# systemctl restart criu
# systemctl daemon-reload

Topic: CloudLinux OS Blog , Tags: #mod_lsapi,

1152 people viewed this

Comments (5)

 
by Guest - Richard / Wednesday, 21 March 2018 19:37

[email protected] [~]# yum install criu-lve
Loaded plugins: fastestmirror, rhnplugin, universal-hooks
Setting up Install Process
Loading mirror speeds from cached hostfile
* EA4: 185.69.232.245
* cpanel-addons-production-feed: 185.69.232.245
* cloudlinux-x86_64-server-6-hybrid: de-proxy.cl-mirror.net
* rpmforge: ftp.nluug.nl
No package criu-lve available.
Error: Nothing to do

[email protected] [~]# yum install criu-lve Loaded plugins: fastestmirror, rhnplugin, universal-hooks Setting up Install Process Loading mirror speeds from cached hostfile * EA4: 185.69.232.245 * cpanel-addons-production-feed: 185.69.232.245 * cloudlinux-x86_64-server-6-hybrid: de-proxy.cl-mirror.net * rpmforge: ftp.nluug.nl No package criu-lve available. Error: Nothing to do
by Guest - Joe / Sunday, 25 March 2018 16:59

I am looking to an update that will fix this issue. https://wordpress.org/support/topic/big-phpxxxxxx-files-in-home-user-cagefs-tmp/page/4/

They said they have been told:

It appears that the issue should be fixed in the upcoming alt-php group release, where LiteSpeed SAPI will be updated to the version 7.0 The task ID is ALTPHP-464 (for your reference), we will mention it in our blog.


Does this mod_lsapi update help fix it? Or do I just wait for the next Alt-PHP to be released? Or do both need to be updated?

I am looking to an update that will fix this issue. https://wordpress.org/support/topic/big-phpxxxxxx-files-in-home-user-cagefs-tmp/page/4/ They said they have been told: [quote]It appears that the issue should be fixed in the upcoming alt-php group release, where LiteSpeed SAPI will be updated to the version 7.0 The task ID is ALTPHP-464 (for your reference), we will mention it in our blog.[/quote] Does this mod_lsapi update help fix it? Or do I just wait for the next Alt-PHP to be released? Or do both need to be updated?
by Alexandre Parubochyi / Tuesday, 27 March 2018 11:37

You will have to update both Alt-PHP and mod_lsapi when the fixed versions are available. ALTPHP-464 will be released along with MODLS-497, MODLS-499 and MODLS-500 that should fix the issue.

You will have to update both Alt-PHP and mod_lsapi when the fixed versions are available. ALTPHP-464 will be released along with MODLS-497, MODLS-499 and MODLS-500 that should fix the issue.
by Guest - Joseph / Wednesday, 28 March 2018 03:26

Says:

Package(s) liblsapi-devel available, but not installed.
No packages marked for update

How do I know if this is already done?

Says: Package(s) liblsapi-devel available, but not installed. No packages marked for update How do I know if this is already done?
by Guest - Joe / Wednesday, 28 March 2018 03:26

EasyApache 4

EasyApache 4

Leave your comment

Guest, Friday, 22 June 2018

Captcha Image